Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Drawings Class Reference

This class includes all enumeration types and methods that are necessary to transmit messages for debug drawings. More...

`#include <DebugDrawings.h>`

List of all members.

## Public Types
enum | ShapeType { circle, filledCircle, line, dot, largeDot, octangle, arrow, coloredLine, midDot }
| IDs for shape types shapes are the basic drawings that can be sentī. More...
enum | FieldDrawing { fieldPolygons, fieldLines, percepts_ballFlagsGoalsField, percepts_obstaclesAndPSDField, percepts_specialField, percepts_robot, lineCrossingsField, multipleBallPerceptsField, circlePoints_Field, worldStateOracle, worldStateGTCam, worldState, worldStateRemoteCam, models_obstaclesField, selfLocatorField, ballLocatorField, goaliePositionField, headControlField, teamBallLocatorFieldParticles, teamBallLocatorField, comboBallLocatorField, comboTeamBallLocatorField, playerModelField, behavior_CBBVector, behavior_CBBWay, behavior_kickAngles, behavior_aStarSearch, dribbleBall, logAnalyzer, logAnalyzerDots, firstDrawingInRadarViewer, percepts_ballFlagsGoalsRadar = firstDrawingInRadarViewer, percepts_obstaclesAndPSDRadar, models_obstaclesRadar, models_corridorsRadar, behavior_kickAnglesRadar, numberOfFieldDrawings }
| IDs for debug drawings on the field. More...
enum | ImageDrawing { percepts_ball, percepts_flagsGoals, percepts_freePartOfGoal, percepts_lines, percepts_edges, percepts_obstacles, percepts_psd, percepts_special, models_obstacles, models_freePartOfGoal, selfLocator, imageProcessor_general, imageProcessor_horizon, imageProcessor_scanLines, imageProcessor_coloredSegments1, imageProcessor_coloredSegments2, imageProcessor_coloredSegments3, imageProcessor_calibration1, imageProcessor_calibration2, imageProcessor_ball1, imageProcessor_ball2, imageProcessor_ball3, imageProcessor_ball4, imageProcessor_ground, imageProcessor_flagsAndGoals, imageProcessor_obstacles, imageProcessor_gradients, imageProcessor_edges, imageProcessor_lines, imageProcessor_linefragments, imageProcessor_robot_detection, sketch, imageProcessor_multipleBallPercepts, circlePoints_image, numberOfImageDrawings }
| IDs for debug drawings on the field. More...
enum | TypeOfDrawing { drawingOnField, drawingOnImage }
enum | PenStyle { ps_solid, ps_dash, ps_dot, ps_null }
| The pen style that is used for basic shapes. More...
enum | FillStyle { bs_solid, bs_null }
| The fill style that is used for basic shapes. More...
enum | Color { red, green, blue, yellow, orange, pink, skyblue, white, light_gray, gray, dark_gray, black, yellowOrange, numberOfColors }
| The color that is used for basic shapes. More...
## Static Public Member Functions
TypeOfDrawing | getTypeOfDrawing (FieldDrawing)
TypeOfDrawing | getTypeOfDrawing (ImageDrawing)
const char * | getDrawingName (FieldDrawing fieldDrawing)
| Returns a description for an indexed fieldDrawing.
const char * | getDrawingName (ImageDrawing imageDrawing)
| Returns a description for an indexed imageDrawing.
bool | getDebugKeyID (enum FieldDrawing fieldDrawing, DebugKeyTable::debugKeyID &debugKeyID)
bool | getDebugKeyID (enum ImageDrawing imageDrawing, DebugKeyTable::debugKeyID &debugKeyID)

## Detailed Description

This class includes all enumeration types and methods that are necessary to transmit messages for debug drawings.

Definition at line 23 of file DebugDrawings.h.

## Member Enumeration Documentation

enum Drawings::ShapeType

  | IDs for shape types shapes are the basic drawings that can be sentī. Enumeration values:
  circle |
  filledCircle |
  line |
  dot |
  largeDot |
  octangle |
  arrow |
  coloredLine |
  midDot |
Definition at line 30 of file DebugDrawings.h.

enum Drawings::FieldDrawing

  | IDs for debug drawings on the field. enter new debug drawings here and add the corresponding string in getDrawingName. Enumeration values:
  fieldPolygons | the polygons of the 2D field view
  fieldLines | the lines of the 2D field view
  percepts_ballFlagsGoalsField | player, ball and landmarks percepts on the field view.
  percepts_obstaclesAndPSDField | obstacles and psd percepts on the field view.
  percepts_specialField | special percept on field
  percepts_robot |
  lineCrossingsField | crossings of lines displayed on the field
  multipleBallPerceptsField |
  circlePoints_Field |
  worldStateOracle | the oracled world state (displayed ligter)
  worldStateGTCam | the oracled world state (displayed ligter)
  worldState | the world state as calculated by the modules
  worldStateRemoteCam | the remote camera world state (displayed lighter)
  models_obstaclesField | the obstacles model
  selfLocatorField | visualization of the particles in the monte carlo selflocalization
  ballLocatorField | visualization of hypothesis regarding the ball
  goaliePositionField | visualization of the goalie position
  headControlField | visualization what feature of the environment HeadControl is aiming at
  teamBallLocatorFieldParticles |
  teamBallLocatorField |
  comboBallLocatorField |
  comboTeamBallLocatorField |
  playerModelField | visualization of the player model. Opponent and own players
  behavior_CBBVector |
  behavior_CBBWay | Drawings for ContinuosBasicBehavior1
  behavior_kickAngles | Drawings for ContinuosBasicBehavior2
  behavior_aStarSearch | Drawings for several kick angles
  dribbleBall | Drawings for A* search tree
  logAnalyzer | Drawings for dribble ball
  logAnalyzerDots | Drawings from the logfile analyzer
  firstDrawingInRadarViewer | all drawings below here are shown in the radar view
  percepts_ballFlagsGoalsRadar | player, ball and landmarks percepts on the radar view.
  percepts_obstaclesAndPSDRadar | obstacles and psd percepts on the radar view.
  models_obstaclesRadar | obstacles model in radar view
  models_corridorsRadar |
  behavior_kickAnglesRadar | kick angles in radar view
  numberOfFieldDrawings |
Definition at line 39 of file DebugDrawings.h.

enum Drawings::ImageDrawing

  | IDs for debug drawings on the field. enter new debug drawings here and add the corresponding string in getDrawingName. Enumeration values:
  percepts_ball |
  percepts_flagsGoals |
  percepts_freePartOfGoal |
  percepts_lines |
  percepts_edges |
  percepts_obstacles |
  percepts_psd |
  percepts_special |
  models_obstacles |
  models_freePartOfGoal |
  selfLocator |
  imageProcessor_general |
  imageProcessor_horizon |
  imageProcessor_scanLines |
  imageProcessor_coloredSegments1 |
  imageProcessor_coloredSegments2 |
  imageProcessor_coloredSegments3 |
  imageProcessor_calibration1 |
  imageProcessor_calibration2 |
  imageProcessor_ball1 |
  imageProcessor_ball2 |
  imageProcessor_ball3 |
  imageProcessor_ball4 |
  imageProcessor_ground |
  imageProcessor_flagsAndGoals |
  imageProcessor_obstacles |
  imageProcessor_gradients |
  imageProcessor_edges |
  imageProcessor_lines |
  imageProcessor_linefragments |
  imageProcessor_robot_detection |
  sketch |
  imageProcessor_multipleBallPercepts |
  circlePoints_image |
  numberOfImageDrawings |
Definition at line 98 of file DebugDrawings.h.

enum Drawings::TypeOfDrawing

  | Enumeration values:
  drawingOnField |
  drawingOnImage |
Definition at line 137 of file DebugDrawings.h. Referenced by getTypeOfDrawing(), and MessageQueueBase::removeRepetitions().

enum Drawings::PenStyle

  | The pen style that is used for basic shapes. Enumeration values:
  ps_solid |
  ps_dash |
  ps_dot |
  ps_null |
Definition at line 310 of file DebugDrawings.h.

enum Drawings::FillStyle

  | The fill style that is used for basic shapes. Enumeration values:
  bs_solid |
  bs_null |
Definition at line 316 of file DebugDrawings.h.

enum Drawings::Color

  | The color that is used for basic shapes. Enumeration values:
  red |
  green |
  blue |
  yellow |
  orange |
  pink |
  skyblue |
  white |
  light_gray |
  gray |
  dark_gray |
  black |
  yellowOrange |
  numberOfColors |
Definition at line 322 of file DebugDrawings.h.

## Member Function Documentation

TypeOfDrawing Drawings::getTypeOfDrawing | ( | FieldDrawing |  | ) | `[inline, static]`

| Definition at line 143 of file DebugDrawings.h. References drawingOnField, and TypeOfDrawing.

TypeOfDrawing Drawings::getTypeOfDrawing | ( | ImageDrawing |  | ) | `[inline, static]`

| Definition at line 144 of file DebugDrawings.h. References drawingOnImage, and TypeOfDrawing.

const char* Drawings::getDrawingName | ( | FieldDrawing | fieldDrawing | ) | `[inline, static]`

| Returns a description for an indexed fieldDrawing. Attention: Add descriptions for new fieldDrawings here. Definition at line 150 of file DebugDrawings.h. References ballLocatorField, behavior_aStarSearch, behavior_CBBVector, behavior_CBBWay, behavior_kickAngles, behavior_kickAnglesRadar, circlePoints_Field, comboBallLocatorField, comboTeamBallLocatorField, dribbleBall, fieldLines, fieldPolygons, goaliePositionField, headControlField, lineCrossingsField, logAnalyzer, logAnalyzerDots, models_corridorsRadar, models_obstaclesField, models_obstaclesRadar, multipleBallPerceptsField, percepts_ballFlagsGoalsField, percepts_ballFlagsGoalsRadar, percepts_obstaclesAndPSDField, percepts_obstaclesAndPSDRadar, percepts_robot, percepts_specialField, playerModelField, selfLocatorField, teamBallLocatorField, teamBallLocatorFieldParticles, worldState, worldStateGTCam, worldStateOracle, and worldStateRemoteCam.

const char* Drawings::getDrawingName | ( | ImageDrawing | imageDrawing | ) | `[inline, static]`

| Returns a description for an indexed imageDrawing. Attention: Add descriptions for new image drawings here. Definition at line 204 of file DebugDrawings.h. References circlePoints_image, imageProcessor_ball1, imageProcessor_ball2, imageProcessor_ball3, imageProcessor_ball4, imageProcessor_calibration1, imageProcessor_calibration2, imageProcessor_coloredSegments1, imageProcessor_coloredSegments2, imageProcessor_coloredSegments3, imageProcessor_edges, imageProcessor_flagsAndGoals, imageProcessor_general, imageProcessor_gradients, imageProcessor_ground, imageProcessor_horizon, imageProcessor_linefragments, imageProcessor_lines, imageProcessor_multipleBallPercepts, imageProcessor_obstacles, imageProcessor_robot_detection, imageProcessor_scanLines, models_freePartOfGoal, models_obstacles, percepts_ball, percepts_edges, percepts_flagsGoals, percepts_freePartOfGoal, percepts_lines, percepts_obstacles, percepts_psd, percepts_special, selfLocator, and sketch.

bool Drawings::getDebugKeyID | ( | enum FieldDrawing | fieldDrawing,
|  | DebugKeyTable::debugKeyID & | debugKeyID
| ) | `[inline, static]`

| Definition at line 246 of file DebugDrawings.h. References ballLocatorField, behavior_aStarSearch, behavior_CBBVector, behavior_CBBWay, behavior_kickAngles, behavior_kickAnglesRadar, circlePoints_Field, comboBallLocatorField, comboTeamBallLocatorField, dribbleBall, goaliePositionField, headControlField, lineCrossingsField, models_corridorsRadar, multipleBallPerceptsField, percepts_robot, playerModelField, selfLocatorField, teamBallLocatorField, and teamBallLocatorFieldParticles.

bool Drawings::getDebugKeyID | ( | enum ImageDrawing | imageDrawing,
|  | DebugKeyTable::debugKeyID & | debugKeyID
| ) | `[inline, static]`

| Definition at line 277 of file DebugDrawings.h. References circlePoints_image, imageProcessor_ball1, imageProcessor_ball2, imageProcessor_ball3, imageProcessor_ball4, imageProcessor_calibration1, imageProcessor_calibration2, imageProcessor_coloredSegments1, imageProcessor_coloredSegments2, imageProcessor_coloredSegments3, imageProcessor_edges, imageProcessor_flagsAndGoals, imageProcessor_general, imageProcessor_gradients, imageProcessor_ground, imageProcessor_horizon, imageProcessor_linefragments, imageProcessor_lines, imageProcessor_multipleBallPercepts, imageProcessor_obstacles, imageProcessor_robot_detection, imageProcessor_scanLines, selfLocator, and sketch.

The documentation for this class was generated from the following file:

- Tools/Debugging/DebugDrawings.h